Search AIMessageAsset

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/aimessageasset

AI Messsage Assets are by default automatically created by the agents when using the AIPrompt service. You can only retrieve AI Message Assets accessible to you.

Documented asset types are item , which stores a Luzmo item JSON payload , and dashboard , which stores dashboard state generated by the dashboard agent or submitted as dashboard context.

Request parametersResponse schema
Expand all Reset
find *OBJECTrequired
where OBJECT
attributes ARRAY[STRING]
include ARRAY[OBJECT]
order ARRAY
limit NUMBER
offset NUMBER
Can be executed by:
Entity Owner
Can be associated to:
AIMessage
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "7bfcf7ff-dcb2-4963-9e9b-0fe651a342af",
      "message_id": "2fdbacdc-d6e6-4a73-b22c-c4b6e9a10d98",
      "type": "item",
      "value": {
        "type": "column-chart",
        "options": {},
        "slots": [],
        "filters": []
      },
      "created_at": "2026-05-14T10:03:13.000Z",
      "updated_at": "2026-05-14T10:03:13.000Z"
    }
  ]
}